org.hibernate.search.backend.impl

## Class TransactionalOperationDispatcher

- java.lang.Object
- - org.hibernate.search.backend.impl.TransactionalOperationDispatcher

- All Implemented Interfaces:
    OperationDispatcher

      public class TransactionalOperationDispatcher
      extends Object
      implements OperationDispatcher

  A transactional dispatcher, sending works to the `IndexManager.performOperations(List, org.hibernate.search.backend.IndexingMonitor)` method of their respective index manager.
  Author:
    Yoann Rodiere

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionalOperationDispatcher(IndexManagerHolder indexManagerHolder, IndexedTypeMap<EntityIndexBinding> bindings)`
    `TransactionalOperationDispatcher(SearchIntegrator integrator)`
    `TransactionalOperationDispatcher(SearchIntegrator integrator, Predicate<IndexManager> indexManagerFilter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(List<LuceneWork> queue, IndexingMonitor monitor)`
    `void` | `dispatch(LuceneWork work, IndexingMonitor monitor)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionalOperationDispatcher

          public TransactionalOperationDispatcher(SearchIntegrator integrator)

    - #### TransactionalOperationDispatcher

          public TransactionalOperationDispatcher(SearchIntegrator integrator,
                                                  Predicate<IndexManager> indexManagerFilter)

    - #### TransactionalOperationDispatcher

          public TransactionalOperationDispatcher(IndexManagerHolder indexManagerHolder,
                                                  IndexedTypeMap<EntityIndexBinding> bindings)

  - ### Method Detail

    - #### dispatch

          public void dispatch(LuceneWork work,
                               IndexingMonitor monitor)

      Specified by:
        `dispatch` in interface `OperationDispatcher`

    - #### dispatch

          public void dispatch(List<LuceneWork> queue,
                               IndexingMonitor monitor)

      Specified by:
        `dispatch` in interface `OperationDispatcher`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved